<?php

 require_once('config.php');

 if (!isset($conid)) {

  function dbconnect() {
   $mysql=mysqli_connect(DB_HOST, DB_USER, DB_PASS); //хост, логин, пароль
   mysqli_select_db($mysql,DB_NAME); //имя базы данных
   return $mysql;
  }

  function dbquery ($sql) { return mysqli_query(get_conid(),$sql); }
  function dbrows ($result) { return mysqli_num_rows($result); }
  function dbfree ($result) { mysqli_free_result($result); }
  function dbclose ($conid) { mysqli_close(get_conid()); }

  function dbfetcha ($result) {
   if ($row=mysqli_fetch_assoc ($result)) return $row;
   else return false;
  }

  function dbfetch ($result){
   if ($row=mysqli_fetch_array($result)) return $row;
   else return false;
  }
 
  function get_conid () {
   static $conid=0;
   if ($conid==0) {
    $conid=dbconnect();
    mysqli_set_charset ($conid,DB_ENCODING);
   }
   return $conid;
  }

  get_conid ();
 }

 function get_ip () {
  if( getenv('HTTP_X_FORWARDED_FOR') != '' ) {
   $client_ip = ( !empty($_SERVER['REMOTE_ADDR']) ) ? $_SERVER['REMOTE_ADDR'] : 
    ( ( !empty($_ENV['REMOTE_ADDR']) ) ? $_ENV['REMOTE_ADDR'] : $REMOTE_ADDR );
   $entries = explode(',', getenv('HTTP_X_FORWARDED_FOR'));
   reset($entries);
   foreach ($entries as $index=>$entry) {
    $entry = trim($entry);
    if ( preg_match("/^([0-9]+\.[0-9]+\.[0-9]+\.[0-9]+)/", $entry, $ip_list) ) {
     $private_ip = array('/^0\./', '/^127\.0\.0\.1/', '/^192\.168\..*/', 
      '/^172\.((1[6-9])|(2[0-9])|(3[0-1]))\..*/', '/^10\..*/', '/^224\..*/', '/^240\..*/');
     $found_ip = preg_replace($private_ip, $client_ip, $ip_list[1]);
     if ($client_ip != $found_ip) {
      $client_ip = $found_ip;
      break;
     }
    }
   }
  }
  else {
   $client_ip = ( !empty($_SERVER['REMOTE_ADDR']) ) ? $_SERVER['REMOTE_ADDR'] : 
    ( ( !empty($_ENV['REMOTE_ADDR']) ) ? $_ENV['REMOTE_ADDR'] : $REMOTE_ADDR );
  }
  return $client_ip;
 }
?>